﻿using Prism.Navigation;
using Prism.Services.Dialogs;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace BusyIndicatorTests.ViewModels
{
    public class MainPageViewModel : ViewModelBase
    {
        private readonly IDialogService _dialogService;

        public bool ShowBusy { get; set; }


        public Command ShowDialogCommand => new Command(ShowDialog);

        private async void ShowDialog()
        {
            ShowBusy = true;

            await Task.Delay(2000);

            ShowBusy = false;

            _dialogService.ShowDialog("BusyDialog", new DialogParameters() { { "message", "from main view model" } });
        }

        public MainPageViewModel(INavigationService navigationService, IDialogService dialogService)
            : base(navigationService)
        {
            _dialogService = dialogService;
            Title = "Main Page";
        }

        public override void OnNavigatedTo(INavigationParameters parameters)
        {
            base.OnNavigatedTo(parameters);

            //Main Entry Point
            // I would like to show the busy with the mask here after page loaded, but waiting on API calls

            //ShowBusy = true;

        }


    }
}
